Add SignatureEdit widget for FormFieldSignature
Needs ReviewPublic

Authored by chinmoyr on Jun 5 2018, 5:09 PM.

Details

Summary

This patch adds SignatureEdit widget which subclasses QAbstractButton and is drawn
when a signature form field is visible. This widget will be used for validating
signatures and viewing their properties.

widget pressed:

Depends on D14748

Diff Detail

Repository
R223 Okular
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
chinmoyr created this revision.Jun 5 2018, 5:09 PM
Restricted Application added a project: Okular. · View Herald TranscriptJun 5 2018, 5:09 PM
Restricted Application added a subscriber: okular-devel. · View Herald Transcript
chinmoyr requested review of this revision.Jun 5 2018, 5:09 PM
chinmoyr updated this revision to Diff 36014.Jun 11 2018, 5:19 PM

Rebased on master
Made use of SignatureSummaryDialog and SignaturePropertiesDialog

aacid added inline comments.Jun 26 2018, 2:32 PM
ui/formwidgets.cpp
1123

What's the reason for this custom paint code?

chinmoyr updated this revision to Diff 39466.Aug 11 2018, 5:07 PM
chinmoyr edited the summary of this revision. (Show Details)

Added screenshot
Rebased on master

This revision was not accepted when it landed; it landed in state Needs Review.Aug 14 2018, 2:37 PM
This revision was automatically updated to reflect the committed changes.
chinmoyr reopened this revision.Aug 14 2018, 2:41 PM